<?php

namespace FiloBlu\FreeShippingOrderInfo\Plugin;

/**
 * Class SetIsFreeShippingCouponInfo
 * @package FiloBlu\FreeShippingOrderInfo\Observer
 */
class SetIsFreeShippingCouponInfo
{
    /**
     * @var string
     */
    const CODE = 'free_shipping_coupon';

    /**
     * @param \Magento\Sales\Block\Order\Totals $totals
     * @param $area
     * @return null
     */
    public function beforeGetTotals(\Magento\Sales\Block\Order\Totals $totals, $area = null)
    {
        if ($totals->getOrder()->getIsFreeShippingCoupon() && $totals->getTotal('shipping') !== false) {

            $value = $totals->getOrder()->getCouponCode();

            if (empty($value)) {
                $value = $totals->getOrder()->getDiscountDescription();
            }

            if (empty($value)) {
                $value = __('Free Shipping Promo');
            }

            $totals->addTotal(new \Magento\Framework\DataObject(
                [
                    'code' => self::CODE,
                    'field' => 'is_free_shipping_coupon',
                    'value' => $value,
                    'label' => __('Free shipping coupon'),
                    'is_formated' => true
                ]
            ), 'shipping');
        }

        return null;
    }
}