<?php

namespace FiloBlu\FreeShippingOrderInfo\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

/**
 * Class InstallSchema
 * @package FiloBlu\FreeShippingOrderInfo\Setup
 */
class InstallSchema implements InstallSchemaInterface
{
    /**
     * @param SchemaSetupInterface $setup
     * @param ModuleContextInterface $context
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;

        $installer->startSetup();

        $orderTable = $installer->getTable('sales_order');

        $columns = [
            'is_free_shipping_coupon' => [
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_BOOLEAN,
                'nullable' => true,
                'default' => false,
                'comment' => 'If used coupon is a free shipping coupon'
            ]
        ];

        $connection = $installer->getConnection();

        foreach ($columns as $name => $definition) {
            $connection->addColumn($orderTable, $name, $definition);
        }

        $installer->endSetup();
    }
}